是否可以从 shell 脚本中捕获 node.js 中的错误退出代码?
Is it possible to catch an error exit code in node.js from shell script?
如题目所示,场景如下
一个 shell 脚本文件 script.sh
执行一些操作并且在某些时候它需要启动一个节点文件。
#! /bin/bash
node "$(dirname "[=12=]")/script.js" "$input"
echo "${?}\n"
在节点文件 script.js
中有一些控件,如果出现错误,脚本 return 带有错误退出代码。
process.exit(1)
是否可以捕获此错误退出代码,以便让命令在 shell 脚本中执行 script.sh
?
目前执行已因此错误中断 error Command failed with exit code 1.
,正如预期的那样。
但是我想知道我是否可以在 shell 脚本上捕获这个错误并继续执行代码的最后一部分 echo "${?}\n"
.
提前致谢
如果您的节点脚本 return 1
,您可以在 bash 脚本中执行类似的操作
node "$(dirname "[=10=]")/script.js" "$input"
echo "Script: $? - Successfull"
if [ $? != 0 ]; then
echo "${?}\n". 1>&2 && exit 1
fi
如题目所示,场景如下
一个 shell 脚本文件 script.sh
执行一些操作并且在某些时候它需要启动一个节点文件。
#! /bin/bash
node "$(dirname "[=12=]")/script.js" "$input"
echo "${?}\n"
在节点文件 script.js
中有一些控件,如果出现错误,脚本 return 带有错误退出代码。
process.exit(1)
是否可以捕获此错误退出代码,以便让命令在 shell 脚本中执行 script.sh
?
目前执行已因此错误中断 error Command failed with exit code 1.
,正如预期的那样。
但是我想知道我是否可以在 shell 脚本上捕获这个错误并继续执行代码的最后一部分 echo "${?}\n"
.
提前致谢
如果您的节点脚本 return 1
,您可以在 bash 脚本中执行类似的操作node "$(dirname "[=10=]")/script.js" "$input"
echo "Script: $? - Successfull"
if [ $? != 0 ]; then
echo "${?}\n". 1>&2 && exit 1
fi